Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.devil
Class ILU

    java.lang.Object
      org.lwjgl.devil.ILU

    public class ILU

extends java.lang.Object

The DevIL ILU API.

Version:
  $Revision: 2286 $ $Id: ILU.java 2286 2006-03-23 19:32:21Z matzon $
Author:
  captainjester , Brian Matzon

Field Summary
`protected static boolean` | `created` Have we been created?
`static int` | `ILU_BILINEAR`
`static int` | `ILU_CENTER`
`static int` | `ILU_CONVOLUTION_MATRIX`
`static int` | `ILU_FILTER`
`static int` | `ILU_ILLEGAL_OPERATION`
`static int` | `ILU_INTERNAL_ERROR`
`static int` | `ILU_INVALID_ENUM`
`static int` | `ILU_INVALID_PARAM`
`static int` | `ILU_INVALID_VALUE`
`static int` | `ILU_LINEAR`
`static int` | `ILU_LOWER_LEFT`
`static int` | `ILU_LOWER_RIGHT`
`static int` | `ILU_NEAREST`
`static int` | `ILU_OUT_OF_MEMORY`
`static int` | `ILU_PLACEMENT`
`static int` | `ILU_SCALE_BELL`
`static int` | `ILU_SCALE_BOX`
`static int` | `ILU_SCALE_BSPLINE`
`static int` | `ILU_SCALE_LANCZOS3`
`static int` | `ILU_SCALE_MITCHELL`
`static int` | `ILU_SCALE_TRIANGLE`
`static int` | `ILU_UPPER_LEFT`
`static int` | `ILU_UPPER_RIGHT`
`static int` | `ILU_VENDOR`
`static int` | `ILU_VERSION_NUM`

Constructor Summary
`ILU()`

Method Summary
`static void` | `create()` Creates a new instance of ILU.
`static void` | `destroy()` Exit cleanly by calling destroy.
`static boolean` | `iluAlienify()`
`static boolean` | `iluBlurAvg(int iter)`
`static boolean` | `iluBlurGaussian(int iter)`
`static boolean` | `iluBuildMipmaps()`
`static void` | `iluColorsUsed()`
`static int` | `iluColoursUsed()`
`static boolean` | `iluCompareImage(int comp)`
`static boolean` | `iluContrast(float contrast)`
`static boolean` | `iluCrop(int xOff, int yOff, int zOff, int width, int height, int depth)`
`static void` | `iluDeleteImage(int id)`
`static boolean` | `iluEdgeDetectE()`
`static boolean` | `iluEdgeDetectP()`
`static boolean` | `iluEdgeDetectS()`
`static boolean` | `iluEmboss()`
`static boolean` | `iluEnlargeCanvas(int width, int height, int depth)`
`static boolean` | `iluEnlargeImage(float xDim, float yDim, float zDim)`
`static boolean` | `iluEqualize()`
`static java.lang.String` | `iluErrorString(int error)`
`static boolean` | `iluFlipImage()`
`static boolean` | `iluGammaCorrect(float gamma)`
`static int` | `iluGenImage()`
`static void` | `iluGetImageInfo(ILinfo info)`
`static int` | `iluGetInteger(int mode)`
`static void` | `iluGetIntegerv(int mode, java.nio.IntBuffer param)`
`static java.lang.String` | `iluGetString(int stringName)`
`static void` | `iluImageParameter(int pName, int param)`
`static boolean` | `iluInvertAlpha()`
`static int` | `iluLoadImage(java.lang.String fileName)`
`static boolean` | `iluMirror()`
`static boolean` | `iluNegative()`
`static boolean` | `iluNoisify(float tolerance)`
`static boolean` | `iluPixelize(int pixSize)`
`static void` | `iluReplaceColor(byte red, byte green, byte blue, float tolerance)`
`static boolean` | `iluReplaceColour(byte red, byte green, byte blue, float tolerance)`
`static boolean` | `iluRotate(float angle)`
`static boolean` | `iluSaturate1f(float saturation)`
`static boolean` | `iluSaturate4f(float r, float g, float b, float saturation)`
`static boolean` | `iluScale(int width, int height, int depth)`
`static void` | `iluScaleColors(float r, float g, float b)`
`static boolean` | `iluScaleColours(float r, float g, float b)`
`static boolean` | `iluSharpen(float factor, int iter)`
`static void` | `iluSwapColors()`
`static boolean` | `iluSwapColours()`
`static boolean` | `iluWave(float angle)`
`static boolean` | `isCreated()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ILU_FILTER

    public static final int ILU_FILTER

See Also:
  Constant Field Values

### ILU_NEAREST

    public static final int ILU_NEAREST

See Also:
  Constant Field Values

### ILU_LINEAR

    public static final int ILU_LINEAR

See Also:
  Constant Field Values

### ILU_BILINEAR

    public static final int ILU_BILINEAR

See Also:
  Constant Field Values

### ILU_SCALE_BOX

    public static final int ILU_SCALE_BOX

See Also:
  Constant Field Values

### ILU_SCALE_TRIANGLE

    public static final int ILU_SCALE_TRIANGLE

See Also:
  Constant Field Values

### ILU_SCALE_BELL

    public static final int ILU_SCALE_BELL

See Also:
  Constant Field Values

### ILU_SCALE_BSPLINE

    public static final int ILU_SCALE_BSPLINE

See Also:
  Constant Field Values

### ILU_SCALE_LANCZOS3

    public static final int ILU_SCALE_LANCZOS3

See Also:
  Constant Field Values

### ILU_SCALE_MITCHELL

    public static final int ILU_SCALE_MITCHELL

See Also:
  Constant Field Values

### ILU_INVALID_ENUM

    public static final int ILU_INVALID_ENUM

See Also:
  Constant Field Values

### ILU_OUT_OF_MEMORY

    public static final int ILU_OUT_OF_MEMORY

See Also:
  Constant Field Values

### ILU_INTERNAL_ERROR

    public static final int ILU_INTERNAL_ERROR

See Also:
  Constant Field Values

### ILU_INVALID_VALUE

    public static final int ILU_INVALID_VALUE

See Also:
  Constant Field Values

### ILU_ILLEGAL_OPERATION

    public static final int ILU_ILLEGAL_OPERATION

See Also:
  Constant Field Values

### ILU_INVALID_PARAM

    public static final int ILU_INVALID_PARAM

See Also:
  Constant Field Values

### ILU_PLACEMENT

    public static final int ILU_PLACEMENT

See Also:
  Constant Field Values

### ILU_LOWER_LEFT

    public static final int ILU_LOWER_LEFT

See Also:
  Constant Field Values

### ILU_LOWER_RIGHT

    public static final int ILU_LOWER_RIGHT

See Also:
  Constant Field Values

### ILU_UPPER_LEFT

    public static final int ILU_UPPER_LEFT

See Also:
  Constant Field Values

### ILU_UPPER_RIGHT

    public static final int ILU_UPPER_RIGHT

See Also:
  Constant Field Values

### ILU_CENTER

    public static final int ILU_CENTER

See Also:
  Constant Field Values

### ILU_CONVOLUTION_MATRIX

    public static final int ILU_CONVOLUTION_MATRIX

See Also:
  Constant Field Values

### ILU_VERSION_NUM

    public static final int ILU_VERSION_NUM

See Also:
  Constant Field Values

### ILU_VENDOR

    public static final int ILU_VENDOR

See Also:
  Constant Field Values

### created

    protected static boolean created

  Have we been created?

Constructor Detail

### ILU

    public ILU()

Method Detail

### iluAlienify

    public static boolean iluAlienify()

### iluBlurAvg

    public static boolean iluBlurAvg(int iter)

### iluBlurGaussian

    public static boolean iluBlurGaussian(int iter)

### iluBuildMipmaps

    public static boolean iluBuildMipmaps()

### iluColoursUsed

    public static int iluColoursUsed()

### iluCompareImage

    public static boolean iluCompareImage(int comp)

### iluContrast

    public static boolean iluContrast(float contrast)

### iluCrop

    public static boolean iluCrop(int xOff,
                                  int yOff,
                                  int zOff,
                                  int width,
                                  int height,
                                  int depth)

### iluDeleteImage

    public static void iluDeleteImage(int id)

### iluEdgeDetectE

    public static boolean iluEdgeDetectE()

### iluEdgeDetectP

    public static boolean iluEdgeDetectP()

### iluEdgeDetectS

    public static boolean iluEdgeDetectS()

### iluEmboss

    public static boolean iluEmboss()

### iluEnlargeCanvas

    public static boolean iluEnlargeCanvas(int width,
                                           int height,
                                           int depth)

### iluEnlargeImage

    public static boolean iluEnlargeImage(float xDim,
                                          float yDim,
                                          float zDim)

### iluEqualize

    public static boolean iluEqualize()

### iluErrorString

    public static java.lang.String iluErrorString(int error)

### iluFlipImage

    public static boolean iluFlipImage()

### iluGammaCorrect

    public static boolean iluGammaCorrect(float gamma)

### iluGenImage

    public static int iluGenImage()

### iluGetImageInfo

    public static void iluGetImageInfo(ILinfo info)

### iluGetInteger

    public static int iluGetInteger(int mode)

### iluGetIntegerv

    public static void iluGetIntegerv(int mode,
                                      java.nio.IntBuffer param)

### iluGetString

    public static java.lang.String iluGetString(int stringName)

### iluImageParameter

    public static void iluImageParameter(int pName,
                                         int param)

### iluInvertAlpha

    public static boolean iluInvertAlpha()

### iluLoadImage

    public static int iluLoadImage(java.lang.String fileName)

### iluMirror

    public static boolean iluMirror()

### iluNegative

    public static boolean iluNegative()

### iluNoisify

    public static boolean iluNoisify(float tolerance)

### iluPixelize

    public static boolean iluPixelize(int pixSize)

### iluReplaceColour

    public static boolean iluReplaceColour(byte red,
                                           byte green,
                                           byte blue,
                                           float tolerance)

### iluRotate

    public static boolean iluRotate(float angle)

### iluSaturate1f

    public static boolean iluSaturate1f(float saturation)

### iluSaturate4f

    public static boolean iluSaturate4f(float r,
                                        float g,
                                        float b,
                                        float saturation)

### iluScale

    public static boolean iluScale(int width,
                                   int height,
                                   int depth)

### iluScaleColours

    public static boolean iluScaleColours(float r,
                                          float g,
                                          float b)

### iluSharpen

    public static boolean iluSharpen(float factor,
                                     int iter)

### iluSwapColours

    public static boolean iluSwapColours()

### iluWave

    public static boolean iluWave(float angle)

### iluColorsUsed

    public static void iluColorsUsed()

### iluSwapColors

    public static void iluSwapColors()

### iluReplaceColor

    public static void iluReplaceColor(byte red,
                                       byte green,
                                       byte blue,
                                       float tolerance)

### iluScaleColors

    public static void iluScaleColors(float r,
                                      float g,
                                      float b)

### create

    public static void create()
                       throws LWJGLException

  Creates a new instance of ILU. Cannot be created unless IL has been created.

  Throws:
    `LWJGLException`

### destroy

    public static void destroy()

  Exit cleanly by calling destroy.

### isCreated

    public static boolean isCreated()

  Returns:
    true if ILU has been created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.